# Generate multiple booths Generates up to 250 booths Endpoint: POST /exhibitorBooths/{tenantId}/multiple/{numberToGenerate} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `numberToGenerate` (string, required) The numbr of booths to generate ## Request fields (application/json): - `additional_exhibitors` (array) - `additional_exhibitors.exhibitor_id` (string, required) The exhibitor - `additional_exhibitors.percentage_share` (number) The %/share of the booth - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `description` (string) Optional booth description, show to users - `event_id` (string, required) The event - `exhibitor_id` (string, required) The exhibitor the owns this booth - `fee_id` (string) The fee associated with the booth - `floor_id` (string, required) The show floor to which the booth belongs - `floor_plan_metadata` (object) Used to track floorplan/position information - `hold_expiration` (string, required) The date/time when the hold expires - `holding_organization_id` (string, required) The organization that has the booth on hold - `id` (string, required) The unique, string identifier of this exhibitor booth - `name` (string, required) The name of the booth - `notes` (string) - `number` (number, required) The booth number - `organization_id` (string, required) The organization associated with the booth (reporting purposes) - `purchasing_warning` (string) Optional text to show to purchasers of this booth when the booth is purchased - `status` (string, required) Enum: "approved", "available", "on hold", "reserved" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `type_id` (string, required) The type of booth ## Response 200 fields (application/json): - `reason` (string) - `status` (string) Enum: "fulfilled", "rejected" - `value` (object) - `value.additional_exhibitors` (array) - `value.additional_exhibitors.exhibitor_id` (string, required) The exhibitor - `value.additional_exhibitors.percentage_share` (number) The %/share of the booth - `value.custom_field_values` (array) - `value.custom_field_values.boolean_value` (boolean) The boolean value - `value.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `value.custom_field_values.file_url_value` (string) The pointer to a file value - `value.custom_field_values.list_value` (array) The list value - `value.custom_field_values.numeric_value` (number) The numeric value - `value.custom_field_values.string_value` (string) The string value of the custom field - `value.custom_field_values.table_value` (array) A list of objects (a table) - `value.description` (string) Optional booth description, show to users - `value.event_id` (string, required) The event - `value.exhibitor_id` (string, required) The exhibitor the owns this booth - `value.fee_id` (string) The fee associated with the booth - `value.floor_id` (string, required) The show floor to which the booth belongs - `value.floor_plan_metadata` (object) Used to track floorplan/position information - `value.hold_expiration` (string, required) The date/time when the hold expires - `value.holding_organization_id` (string, required) The organization that has the booth on hold - `value.id` (string, required) The unique, string identifier of this exhibitor booth - `value.name` (string, required) The name of the booth - `value.notes` (string) - `value.number` (number, required) The booth number - `value.organization_id` (string, required) The organization associated with the booth (reporting purposes) - `value.purchasing_warning` (string) Optional text to show to purchasers of this booth when the booth is purchased - `value.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `value.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `value.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `value.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `value.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `value.sys_calculated_field_error` (string) The error associated with the calculated field - `value.sys_calculated_field_errors` (array) - `value.sys_calculated_field_errors.error` (string) - `value.sys_calculated_field_errors.field` (string) - `value.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `value.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `value.sys_created_by_id` (string, required) The ID of the user that created this record - `value.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `value.sys_directive` (string) Means for passing directive information into an object processing logic - `value.sys_external_id` (string) The ID that a record has from an external system or data import - `value.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `value.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `value.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `value.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `value.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `value.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `value.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `value.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `value.sys_version` (number) A number representing the version of this record in the database - `value.type_id` (string, required) The type of booth ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields